com.holonplatform.core.beans

## Enum IgnoreMode

- java.lang.Object
- - java.lang.Enum<IgnoreMode>
  - - com.holonplatform.core.beans.IgnoreMode

- All Implemented Interfaces:
    Serializable, Comparable<IgnoreMode>

      public enum IgnoreMode
      extends Enum<IgnoreMode>

  Enumeration used by `BeanProperty` builder to mark a property as to be ignored.
  Since:
    5.1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DO_NOT_IGNORE` The property has not to be ignored.
    `IGNORE_INCLUDE_NESTED` The property and any nested property have to be ignored.
    `IGNORE_PROPERTY` The property has to be ignored.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IgnoreMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IgnoreMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DO_NOT_IGNORE

          public static final IgnoreMode DO_NOT_IGNORE

      The property has not to be ignored.

    - #### IGNORE_PROPERTY

          public static final IgnoreMode IGNORE_PROPERTY

      The property has to be ignored.

    - #### IGNORE_INCLUDE_NESTED

          public static final IgnoreMode IGNORE_INCLUDE_NESTED

      The property and any nested property have to be ignored.

  - ### Method Detail

    - #### values

          public static IgnoreMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IgnoreMode c : IgnoreMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IgnoreMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.